﻿:root {
    --DarkPrimary: #1B212C;
    --MidPrimary: #414F69;
    --LightPrimary: #7A8CAD;
    --Secondary: #D92117;
    --MainContentSurrondBG: #BFBFBF;
}

body {
    background-color: var(--DarkPrimary);
    font-family: verdana;
    font-size: 11pt;
    margin: 0px;
    padding: 0px;
    text-align: center;
}

#AjaxErrorDiv {
    color: red;
    display: none;
    margin: auto;
    margin-top: 30px;
    font-size: 100%;
    text-align: left;
    width: 70%;
}

#TopNavDiv {
    background-color: var(--Secondary);
    color: white;
    font-size: 110%;
    padding-top: 3px;
    padding-bottom: 7px;
}

.TopNavLinkDiv {
    display: inline-block;
    padding-left: 25px;
    padding-right: 25px;
}

    .TopNavLinkDiv:hover {
        cursor: pointer;
        color: yellow;
}

/* Referenced in _Layout.cshmtl. This is the dark area at the very top of the screen that spans the entire width and displays the SC logo. */
#TopLogoBannerDiv {
    background-color: var(--DarkPrimary);
    min-height: 65px;
    padding-top: 15px;
    padding-bottom: 15px;
    border-style: solid;
    border-color: var(--Secondary);
    border-width: 0px;
    border-bottom-width: 4px;
}

/* Referenced in _Layout.cshmtl. This is the grayish area that spans the entire width of the screen and encompasses the white main content area */
#MainContentSurroundingFullWidthDiv {
    background-color: var(--MainContentSurrondBG);
    border-style: solid;
    border-color: var(--LightPrimary);
    border-left-width: 0px;
    border-right-width: 0px;
    border-top-width: 0px;
    border-bottom-width: 15px;
    margin: auto;
}

/* Referenced in _Layout.cshmtl. This is the white main content area, centered horizontally on the screen. Its width will adjust responsively via Boostrap classes. */
#MainContentOutermostDiv {
    background-color: white;
    min-height: 550px;
    margin: auto;
    padding-top: 25px;
}

#SignInHeaderDiv {
    margin-bottom: 25px;
    font-weight: bold;
    font-size: 110%;
}

input[type="email"], input[type="password"] {
    border-radius: 6px;
    padding-left: 6px;
    padding-right: 6px;
    border-color: var(--MidPrimary);
    width: 300px;
}

input[type="submit"] {
    border-radius: 5px;
    border-color: var(--MidPrimary);
    width: 90px;
    height: 31px;
}

    input[type="submit"]:hover {
        cursor: pointer;
    }

#PageTitle {
    font-weight: bold;
    font-size: 200%;
    color: var(--DarkPrimary);
    margin-bottom: 25px;
}

.OddRow {
    background-color: #E0E0E0;
}

.EvenRow {
    background-color: white;
}

/*





MEDIA QUERIES
*/
/* X-Small devices (portrait phones, less than 576px) */
/* No media query for "xs" since this is the default in Bootstrap */
/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
    #SignInHeaderDiv {
        font-size: 115%;
    }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
    input[type="email"], input[type="password"] {
        width: 350px;
    }
}

/* X-Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
    #SignInHeaderDiv {
        font-size: 140%;
    }
}

/* XX-Large devices (larger desktops, 1400px and up) */
@media (min-width: 1400px) {
}